BRANDY(1)

NAME
brandy - a portable BBC BASIC VI interpreter

SYNOPSIS
brandy -help
brandy -version
brandy [-size <size>] [-fullscreen] [-swsurface] [-path <list>] [-load <file>] [-chain <file>] [-quit <file>] [-lib <file>] [-ignore] [-- <options>] [<file>]

DESCRIPTION

Brandy is an interpreter for BBC BASIC VI, the dialect of BASIC that Acorn Computers supplied with their ranges of desktop computers that use the ARM processor such as the Archimedes and Risc PC, and is still in use on these and compatibles.

BASIC V is a much extended version of BBC BASIC. This was the BASIC used on the 6502-based BBC Micro that Acorn made during the 1980s.

OPTIONS

-help
    Print a summary of these options.

-size <size>
    Set the size of the Basic workspace to size bytes when starting the interpreter. The minimum size allowed is 16384 bytes and anything below this value will be set to it. The maximum size is 2147483644 bytes (4 bytes short of 2GiB). The size may have a suffix of k to denote that the size is in kilobytes or m if it is in megabytes. For example, -size 100k will set the workspace size to 100 kilobytes (102400 bytes) and -size 8m will set it to eight megabytes (8388608 bytes).

-lib <filename>
    Load Basic library filename when the interpreter starts. This option can be repeated as many times as required to load a number of libraries. This is equivalent to typing INSTALL filename at the interpreter's command line. The libraries are loaded in the order given on the command line. Note that the search order is the reverse of this.

-load <filename>
    Load Basic program filename when the interpreter starts.

-path <directory>[,<directory]...
    This specifies a list of directories that the interpreter will search when looking for libraries and programs. The directory names are separated by commas. The pseudo-variable FILEPATH$ is set to this value.

-quit <filename>
    Load and run the Basic program filename. Leave the interpreter when the program has finished running.

-chain <filename>
    Load and run the Basic program filename. Remain in the interpreter when the program has finished running.

-ignore
    Ignore certain `unsupported feature' errors. By default the interpreter reports an error whenever it comes across a BASIC V feature that it does not support. This option allows some unsupported features that do not affect the basic running of the program to be ignored.

<filename>
    This is exactly equivalent to -chain.

-nostar
    Do not check commands issued via OSCLI to see if they are dealt with by Brandy. Pass all commands to the underlying operating system.

The case of the names of the options is ignored. It depends on the operating system under which the interpreter is running as to whether the names of files are case sensitive or insensitive.

SEE ALSO

/usr/share/doc/brandy
    Full documentation.

/usr/share/doc/brandy/examples
    Example programs.

AUTHORS

David Daniels, with contributions from Darren Salt and Colin Tuckley. Matrix Brandy modifications by Michael McConnell and contributors.